use crate::registry::prelude::*;

pub static OLOFSTROMS_KRAFT_NAT_AB: GridOperator = GridOperator::builder()
    .name("Olofströms Kraft Nät AB")
    .vat_number("SE556462112501")
    .country(SE)
    .links(
        Links::builder()
            .fee_info(
                "https://www.olofstromskraft.se/natavgifter-el",
                ".main-content",
            )
            .feed_in_revenue_info_default(
                "https://www.olofstromskraft.se/betalning-for-overskottsel",
            )
            .build(),
    )
    .price_lists(&[PriceList::builder()
        .from_date(2024, 11, 14)
        .monthly_fee(Cost::fuses(&[
            (16, Money::new(4732, 0).divide_by(12)),
            (20, Money::new(6806, 0).divide_by(12)),
            (25, Money::new(8617, 0).divide_by(12)),
            (35, Money::new(12547, 0).divide_by(12)),
            (50, Money::new(15562, 0).divide_by(12)),
            (63, Money::new(21825, 0).divide_by(12)),
        ]))
        .monthly_production_fee(Cost::Unverified)
        // NOTE: This information was received from Olofströms Kraft Nät AB via e-mail
        .feed_in_revenue(FeedInRevenue::new_periods(CostPeriods::new_first(&[
            CostPeriod::builder()
                .load(High)
                .fixed_cost_subunit(6.4)
                .months(November, March)
                .build(),
            CostPeriod::builder()
                .load(Low)
                .fixed_cost_subunit(2.8)
                .build(),
        ])))
        .transfer_fee(TransferFee::fixed_subunit(24.73))
        .power_tariff(PowerTariff::NotImplemented)
        .build()])
    .build();
